org.apache.poi.hwmf.record

## Class HwmfDraw.WmfPolygon

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon

- All Implemented Interfaces:
    GenericRecord, HwmfRecord
  Direct Known Subclasses:
    HemfDraw.EmfPolyBezier, HemfDraw.EmfPolyDraw, HemfDraw.EmfPolygon, HwmfDraw.WmfPolyline
  Enclosing class:
    HwmfDraw

      public static class HwmfDraw.WmfPolygon
      extends java.lang.Object
      implements HwmfRecord

  The META_POLYGON record paints a polygon consisting of two or more vertices connected by straight lines. The polygon is outlined by using the pen and filled by using the brush and polygon fill mode that are defined in the playback device context.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.geom.Path2D` | `poly`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmfPolygon()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(HwmfGraphics ctx)` Apply the record settings to the graphics context
    `protected HwmfGraphics.FillDrawStyle` | `getFillDrawStyle()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `java.awt.geom.Path2D` | `getPoly()`
    `HwmfRecordType` | `getWmfRecordType()`
    `int` | `init(LittleEndianInputStream leis, long recordSize, int recordFunction)` Init record from stream
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hwmf.record.HwmfRecord

      `getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Field Detail

    - #### poly

          protected java.awt.geom.Path2D poly

  - ### Constructor Detail

    - #### WmfPolygon

          public WmfPolygon()

  - ### Method Detail

    - #### getWmfRecordType

          public HwmfRecordType getWmfRecordType()

      Specified by:
        `getWmfRecordType` in interface `HwmfRecord`

    - #### init

          public int init(LittleEndianInputStream leis,
                          long recordSize,
                          int recordFunction)
                   throws java.io.IOException

      Description copied from interface: `HwmfRecord`
      Init record from stream
      Specified by:
        `init` in interface `HwmfRecord`
      Parameters:
        `leis` - the little endian input stream
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException`

    - #### draw

          public void draw(HwmfGraphics ctx)

      Description copied from interface: `HwmfRecord`
      Apply the record settings to the graphics context
      Specified by:
        `draw` in interface `HwmfRecord`
      Parameters:
        `ctx` - the graphics context to modify

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getFillDrawStyle

          protected HwmfGraphics.FillDrawStyle getFillDrawStyle()

      Returns:
        true, if the shape should be filled

    - #### getPoly

          public java.awt.geom.Path2D getPoly()

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.